List the organization’s members
GET
/v1/org/list-members
const url = 'https://your-tenant-host/v1/org/list-members?organizationId=01926f3a-8b4e-7b33-a944-5e6f7a8b9c0d&limit=25&offset=0';const options = { method: 'GET', headers: { cookie: 'ek.session_token=<ek.session_token>', 'x-edgekit-site-id': 'site_example' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://your-tenant-host/v1/org/list-members?organizationId=01926f3a-8b4e-7b33-a944-5e6f7a8b9c0d&limit=25&offset=0' \ --header 'x-edgekit-site-id: site_example' \ --cookie ek.session_token=<ek.session_token>Paged. No arbitrary field filter or sort.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”organizationId
string format: uuid
Example
01926f3a-8b4e-7b33-a944-5e6f7a8b9c0dlimit
integer
Example
25offset
integer | null
Example
0Header Parameters
Section titled “Header Parameters”x-edgekit-site-id
required
The site this request is for, within this tenant. Every official EdgeKit SDK sets it from the client you configured; set it yourself only when calling this API directly.
string
Example
site_exampleThe site this request is for, within this tenant. Every official EdgeKit SDK sets it from the client you configured; set it yourself only when calling this API directly.
Responses
Section titled “Responses”A page of members.
Media typeapplication/json
object
members
required
Array<object>
object
id
required
string format: uuid
organizationId
required
string format: uuid
userId
required
string format: uuid
role
required
Open: accept a member not listed. Known: owner, admin, member.
string | null
createdAt
required
string | null format: date-time
user
required
object
id
required
string format: uuid
email
required
string
name
required
string | null
total
required
integer
Example
{ "members": [ { "id": "01926f3a-8b4f-7c55-b066-6f7a8b9c0d1e", "organizationId": "01926f3a-8b4e-7b33-a944-5e6f7a8b9c0d", "userId": "01926f3a-8b4c-7d2e-9f10-2a3b4c5d6e7f", "role": "owner", "createdAt": "2026-07-31T09:00:00.000Z", "user": { "id": "01926f3a-8b4c-7d2e-9f10-2a3b4c5d6e7f", "email": "ada@example.com", "name": "Ada Lovelace" } } ], "total": 12}Invalid request.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Example
{ "error": { "code": "unauthorized", "message": "Invalid or missing API key." }}Missing or invalid credential.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Example
{ "error": { "code": "unauthorized", "message": "Invalid or missing API key." }}Not allowed.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Example
{ "error": { "code": "unauthorized", "message": "Invalid or missing API key." }}Resource not found.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Example
{ "error": { "code": "unauthorized", "message": "Invalid or missing API key." }}Request validation failed.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Example
{ "error": { "code": "unauthorized", "message": "Invalid or missing API key." }}Unexpected error.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Example
{ "error": { "code": "unauthorized", "message": "Invalid or missing API key." }}